Subject: Re: bug#11514: 24.0.97; gnus-user-agent no longer sets up Gcc

From: Romain Francoise <[email-masked]>
Date: Tue, 22 May 2012 09:38:58 +0200

Katsumi Yamaoka <[email-masked]> writes:

> This is the issue of only a case where Gnus is running, since
> Gcc is Gnus' feature and the `gnus-user-agent' agent behaves
> like the `message-user-agent' agent now if Gnus is not alive:
> [...]

Which is rather suboptimal... if the user explicitly configured
`gnus-user-agent' then we should start enough Gnus bits to make Gcc
(and other Gnus features) work. If that's not possible then it should
complain loudly about the downgrade, or refuse to work at all. Losing
outgoing mail isn't nice.

> Reverting this change does not help.  I believe the right fix is
> to modify `gnus-msg-mail' so as to bind `gnus-newsgroup-name' to
> a string like `gnus-group-mail' does.  Fixed in the emacs-24 branch.

Works for me, thanks!